# gfs_pio_seek

## Name

gfs_pio_seek -- reposition a stream

## Synopsis

    #include <gfarm/gfarm.h>

```char *gfs_pio_seek``(GFS_File `gf`, file_offset_t `offset`, int `whence`, file_offset_t * `result`);`

## DESCRIPTION

The `gfs_pio_seek()` function sets the file position indicator for the file `gf`. The new position, measured in bytes, is obtained by adding `offset` bytes to the position specified by `whence`. If `whence` is set to 0, 1, or 2, the offset is relative to the start of the file, the current position indicator, or end-of-file, respectively. When `result` is not NULL, the new position returns to the address pointed by `result`.

## RETURN VALUES

`NULL`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

Others

  An error except the above occurred. The reason is shown by its pointed strings.

## SEE ALSO

gfs_pio_create(3), gfs_pio_open(3)